Need version with SHT30 driver

Moderators: grovkillen, Stuntteam, TD-er

Post Reply
Message
Author
mattlward
Normal user
Posts: 69
Joined: 24 Jan 2018, 15:20

Need version with SHT30 driver

#1 Post by mattlward » 11 Sep 2019, 02:30

So, I just grabbed the latest mega build and see that lots has changed since mega-20190301. I could not find any of the 4M builds to support my Wemos D1's with the SHT 30 drivers in the build. I had been running the testing builds to get that driver included. I have had not time over the last several months to upgrade and the build I was running was working well. But, I decided I really should get some of the units upgraded.

Anyone got advice on the last version that included the SHT30?

Thanks Matt

TD-er
Core team member
Posts: 1941
Joined: 01 Sep 2017, 22:13
Location: the Netherlands
Contact:

Re: Need version with SHT30 driver

#2 Post by TD-er » 11 Sep 2019, 09:28

The last nightly build did not include the "test" builds, due to size issues.
I am working on the issue to get the size down, or redefine the different sets of included plugins in the builds.

mattlward
Normal user
Posts: 69
Joined: 24 Jan 2018, 15:20

Re: Need version with SHT30 driver

#3 Post by mattlward » 11 Sep 2019, 14:47

Thanks for the reply. BTW, I use 2 MQTT inputs does that still work?

TD-er
Core team member
Posts: 1941
Joined: 01 Sep 2017, 22:13
Location: the Netherlands
Contact:

Re: Need version with SHT30 driver

#4 Post by TD-er » 11 Sep 2019, 15:39

mattlward wrote:
11 Sep 2019, 14:47
Thanks for the reply. BTW, I use 2 MQTT inputs does that still work?
You have to try, since I'm not really sure what you mean by that.

mattlward
Normal user
Posts: 69
Joined: 24 Jan 2018, 15:20

Re: Need version with SHT30 driver

#5 Post by mattlward » 11 Sep 2019, 19:49

I use instance of "Generic - MQTT Import". They are data collectors to allow remote reboots and other things from my Home Assistant server.

TD-er
Core team member
Posts: 1941
Joined: 01 Sep 2017, 22:13
Location: the Netherlands
Contact:

Re: Need version with SHT30 driver

#6 Post by TD-er » 12 Sep 2019, 00:21

I don't see any reason why they would have changed, or you must be comparing them to very old versions maybe?
Just test if they work for your use case.
Just make sure you're also using a MQTT controller (or at least have the credentials configured in an enabled controller).
That plugin is using the credentials of the first enabled MQTT controller (there can be only one active MQTT controller)

whatsupskip
Normal user
Posts: 98
Joined: 28 Feb 2018, 07:40

Re: Need version with SHT30 driver

#7 Post by whatsupskip » 12 Oct 2019, 03:59

I had the same problem, not being able to find the SHT30 driver.

I found it in the ESP_Easy_mega-20191003_test_ESP8266_4M_VCC.bin

Post Reply

Who is online

Users browsing this forum: No registered users and 16 guests